Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.orgmodel
Class LookupUser

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.orgmodel.LookupUser

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<LookupUserResult>, net.customware.gwt.dispatch.shared.Action<LookupUserResult>

    public class LookupUser

extends java.lang.Object
implements OSAction<LookupUserResult>

Gets the details of a specified Resource ( identified by name ).

The details will include group and position memberships, privileges and attributes. The GUID for the resource is also returned.

©2014 TIBCO Software Inc.

Since:
  3.0.0

Constructor Summary
`LookupUser(java.lang.String userName, java.lang.String ldapAlias, java.lang.String ldapDN)` Constructs a new LookupUser Action

Method Summary
`java.lang.String` | `getLdapAlias()` The LDAP Alias.
`java.lang.String` | `getLdapDN()` The LDAP DN.
`java.lang.String` | `getUserName()` The User name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupUser

    public LookupUser(java.lang.String userName,
                      java.lang.String ldapAlias,
                      java.lang.String ldapDN)

  Constructs a new LookupUser Action

  Parameters:
    `userName` - The User Name of the resource (optional)
    `ldapAlias` - The LDAP Alias to lookup (optional)
    `ldapDN` - The LDAP DN to lookup (optional)

Method Detail

### getUserName

    public java.lang.String getUserName()

  The User name.

  Returns:
    Returns the User name

### getLdapAlias

    public java.lang.String getLdapAlias()

  The LDAP Alias.

  Returns:
    Returns the LDAP Alias

### getLdapDN

    public java.lang.String getLdapDN()

  The LDAP DN.

  Returns:
    Returns the LDAP DN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.